<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%@ page language="java"%>
<%@ page pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.ibm.rpm.WebUIConstants"%>
<%@ page import="com.ibm.rpm.RPMUtilityBean"%>
<%@ page import="com.ibm.rpm.RPMSettingsBean"%>
<%@ page import="com.ibm.rpm.i18n.LabelExtractor"%>
<%	
	request.setCharacterEncoding(WebUIConstants.UTF8); // Must absolutely be done before the first request.getParameter()
	// Fix ChangeRequest RATLC01034584
	    // Code compatible Servlet 2.4 only
	    // response.setCharacterEncoding(WebUIConstants.UTF8);
	    // response.setContentType("text/html"); //$NON-NLS-1$
	    // Code compatible Servlet 2.3 & 2.4
	    response.setContentType("text/html; charset=UTF-8"); //$NON-NLS-1$
	// End-of-fix ChangeRequest RATLC01034584
	response.setHeader("Pragma", "No-cache"); //$NON-NLS-1$ //$NON-NLS-2$
	response.setHeader("Cache-Control", "no-cache"); //$NON-NLS-1$ //$NON-NLS-2$
	response.setDateHeader("Expires", 0); //$NON-NLS-1$
	
    String languageId = RPMUtilityBean.getLanguageId(request);
    Locale locale = RPMUtilityBean.getLocale(request);
    
    // Process the logged user display name
    String displayName = (String)session.getAttribute(WebUIConstants.DISPLAY_NAME);
    
    // Process the server name
    String serverName = RPMSettingsBean.getInstance().getServerDisplayName(locale);
    
	application.setAttribute("useDummyJSON", Boolean.FALSE); //$NON-NLS-1$
  
    boolean isDebugMode = RPMUtilityBean.hasDebugConsole();
%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <style>
        html, body{
            width: 100%;
            height: 100%;
            padding: 0px;
            margin: 0px;
            overflow: hidden;
        }
    </style>
    <title><%=
        LabelExtractor.get("dojo_common_applicationName", locale) //$NON-NLS-1$
    %></title>
	<link rel="shortcut icon" href="../icons/favicon.ico" type="image/x-icon"/>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<link href="../theme/style.css" rel="stylesheet" type="text/css" />	
	<link href="../theme/HtmlRPMApplication.css" rel="stylesheet" type="text/css" />	
	<script>
		djConfig = {
			isDebug: <%= isDebugMode ? Boolean.TRUE.toString() : Boolean.FALSE.toString() %>,
            debugAtAllCosts: <%= isDebugMode ? Boolean.TRUE.toString() : Boolean.FALSE.toString() %>,
            locale: "<%= languageId %>"
		};
	</script>
	<script src="../dojo/dojo.js"></script>
	<script >
		// standard components
		dojo.require("dojo.widget.LayoutContainer");
		dojo.require("dojo.widget.HtmlWidget");
		dojo.require("dojo.widget.ContentPane");
		dojo.require("dojo.widget.DebugConsole");
		dojo.require("dojo.widget.FloatingPane");		
		dojo.require("dojo.event.*");
		dojo.require("dojo.html.*");		

		dojo.registerModulePath("com.ibm.rpm",
			"../dojo-rpm/com/ibm/rpm");

		dojo.require("com.ibm.rpm.util.LocalizationEngine");
    
        //all dojo.require above this line
        dojo.hostenv.writeIncludes(); //makes debugging in Venkman possible
    </script>
    <script language="JavaScript" type="text/javascript">   
		// initialize LocalizatoinEngine with the selected locale
		com.ibm.rpm.util.LocalizationEngine.getInstance("<%= languageId %>");
		
		// olympia components
		dojo.require("com.ibm.rpm.widget.RPMAppPane");
		dojo.require("com.ibm.rpm.widget.RPMHeader");		
		dojo.require("com.ibm.rpm.app.*");
		dojo.require("com.ibm.rpm.intf.*");			
	
		dojo.require("com.ibm.rpm.manifest");
    </script>
	<script src="../RPMSecurity.jsp"></script>
    <script language="JavaScript" type="text/javascript">   
		dojo.addOnLoad(function(){
		<% if (RPMUtilityBean.hasDebugConsole()) { %>
			if (!dojo.render.html.ie) {
				var debug = dojo.widget.byId("widgetDebug");
				debug.domNode.style.zIndex = 2000;
				// ensure debug window is always on top of everything else
				dojo.event.connect(debug, "bringToTop", function() {debug.domNode.style.zIndex = 2000;});
			}
		<% } %>
		});

		dojo.addOnUnload(function(){
			com.ibm.rpm.util.Logout.logoutCleanup();
		});

		/*
		If onbeforeunload returns a string - a confirmation dialog appears
		*/		
		window.onbeforeunload = function() {
			var message = com.ibm.rpm.util.Logout.checkLogoutIsOk();
			if (message != null) {
				return message;
			}
			// In case everything Ok - DO NOT return anything		
		};
	</script>
</head>
<body>
<% if (isDebugMode) { %>
	<div id="widgetDebug" dojoType="DebugConsole"
		title="Debug Console"
		iconSrc="../icons/debug.png"
		style="width:180px;height:250px;left:10px;top:400px;z-index:2000;"
		hasShadow="false"
		resizable="true"
		displayMinimizeAction="true"
	></div>
<% } %>

	<div id="paneMain" dojoType="LayoutContainer" layoutChildPriority="top-bottom" style="width:100%;height:100%;overflow:hidden;">
		<div id="paneMainHeader" dojoType="ContentPane" style="overflow:hidden;"
			layoutAlign="top">
				<div dojoType="com.ibm.rpm.widget:RPMHeader" 
					showLoginInfo="true"
					showLogout="true"
					showIntro="false"
					userName="<%= displayName %>"
					userResourceId="<%= session.getAttribute(WebUIConstants.ResourceID) %>"					
			 		serverName="<%= serverName %>"
			 		logoutURL="<%= request.getContextPath() %>/logout.jsp"					
					></div>
		</div>
		<div dojoType="LayoutContainer" layoutAlign="client"
			layoutChildPriority="left-right" style="overflow:hidden;">
		    <div id="paneMainNavigator" dojoType="ContentPane" style="width:168px;padding: 7px 7px 7px 7px;overflow:hidden;" 
				layoutAlign="left" href="navigator.jsp"></div>
      		<div id="paneMainBody" dojoType="ContentPane" style="padding: 7px 7px 7px 0px;overflow:hidden;" 
				layoutAlign="client">
					<table border="0" height="100%" width="100%">
						<tr><td align="right" valign="bottom">
							<img src="<%= request.getContextPath() %>/theme/welcomeWatermark.png" alt="" style="margin: 20px;"/>
						</td></tr>
					</table>
			</div>
		</div>
	</div>
</body>
</html>
